AWStats awstats.pl多个参数远程执行命令漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1200153 漏洞类型 未知
发布时间 2005-02-09 更新时间 2005-02-09
CVE编号 CVE-2005-0362 CNNVD-ID CNNVD-200502-019
漏洞平台 N/A CVSS评分 4.6
|漏洞来源
https://www.securityfocus.com/bid/90261
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200502-019
|漏洞详情
AwStats是一款极为流行的基于Web的网站访问统计程序。AwStats软件包脚本实现上存在输入验证漏洞,远程攻击者可能利用此漏洞以Web进程权限在服务器上执行任意命令。AwStats的awstats.pl脚本对config、pluginmode、loadplugin或noloadplugin参数值做充分的检查过滤,远程攻击者可能在参数值中插入特定的Shell转义字符从而在主机上执行任意命令。
|受影响的产品
AWStats AWStats 6.3 AWStats AWStats 6.2 AWStats AWStats 6.1 AWStats AWStats 6.0 AWStats AWStats 5.9 AWStats AWStats 5.8 AWStats AWStats 5.7
|参考资料

来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294488
来源:OSVDB
名称:16089
链接:http://www.osvdb.org/16089